Bug 1445294 - bodhi client cannot submit a new update
Summary: bodhi client cannot submit a new update
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-fedora
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Randy Barlow
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1446575 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-25 12:53 UTC by Petr Pisar
Modified: 2017-05-24 04:55 UTC (History)
13 users (show)

Fixed In Version: bodhi-2.6.2-1.fc27 python-fedora-0.9.0-3.fc25 python-fedora-0.9.0-3.fc26 python-fedora-0.9.0-3.el6 python-fedora-0.9.0-1.el7 python-fedora-0.9.0-3.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-08 22:32:36 UTC


Attachments (Terms of Use)

Description Petr Pisar 2017-04-25 12:53:56 UTC
I use Fedora 24, thus bodhi-client-0.9.12.2-5.fc24.noarch. I cannot submit a new update since 2017-04-25 (bodhi -u ppisar -n -t bugfix -b 1445109 -B -N 'SOME_TEXT' perl-RDF-Trine-1.016-1.fc26). It returns just prints an HTML code of a web page on the bodhi. I tried bodhi-client-2.6.0-1.fc25.noarch with the same result. It looks like something has changed on the server. The error output begins with:

No handlers could be found for logger "fedora.client.bodhi"
Creating a new update for perl-RDF-Trine-1.016-1.fc26
ServerError(https://bodhi.fedoraproject.org/updates/, 403, Error returned from json module while processing https://bodhi.fedoraproject.org/updates/: Expecting value: line 6 column 1 (char 5)

Comment 1 Randy Barlow 2017-04-25 14:02:05 UTC
Hello!

The bodhi-0.9 brokenness is known and understood, but I am surprised that this happened with bodhi-2.6. Is it possible that you typed the wrong password when you tried with 2.6?

As for 0.9, the problem is that 0.9 apparently relies on the session cookie to never expire and bodhi-server-2.6 now expires sessions after 1 day. I will need to make an update to bodhi-0.9 to fix this. In the meantime, a workaround is to rm ~/.fedora/openidbaseclient-sessions.cache.

Comment 2 Randy Barlow 2017-04-25 14:15:28 UTC
I have confirmed that you were correct - the problem also happens with the 2.6 client for the same reason. The same workaround will work there too, but only for 1 day at a time:

$ rm ~/.fedora/openidbaseclient-sessions.cache

Comment 3 Randy Barlow 2017-04-25 14:19:15 UTC
I will use this ticket to track the issue with the bodhi-0.9 client, and I've filed an upstream issue to track the problem with the 2.6 client:

https://github.com/fedora-infra/bodhi/issues/1474

Comment 4 Jaroslav Škarvada 2017-04-27 15:32:45 UTC
fedpkg update also stopped working due to this bug

Comment 5 Lubomír Sedlář 2017-05-02 08:33:08 UTC
*** Bug 1446575 has been marked as a duplicate of this bug. ***

Comment 6 Randy Barlow 2017-05-03 21:54:40 UTC
I sent a pull request upstream for this, but have not tested it with bodhi-0.9 yet:

https://github.com/fedora-infra/python-fedora/pull/199

I have tested an extremely similar patch for bodhi-2.6 that does work.

Comment 7 Randy Barlow 2017-05-03 21:56:38 UTC
If anyone can try applying that patch to their local system and report back if it works, that would be helpful. The code lives in /usr/lib/python2.7/site-packages/fedora/client/ on an RPM install.

This patch must also be applied:

https://github.com/fedora-infra/python-fedora/pull/197

Comment 8 Randy Barlow 2017-05-04 01:33:29 UTC
Bodhi 2 users can use these two patches to work around this issue until I can get 2.6.2 released:

https://github.com/fedora-infra/python-fedora/pull/197
https://github.com/fedora-infra/bodhi/pull/1502

Additionally, Bodhi 2 users may enjoy this related patch, though it's not strictly required to solve this issue:

https://github.com/fedora-infra/bodhi/pull/1500

Once all of these PRs are reviewed and merged, and once python-fedora has made a release, I plan to release bodhi-2.6.2 to address this issue. bodhi-0.9 will be entirely fixed in python-fedora.

Comment 9 Randy Barlow 2017-05-04 18:19:47 UTC
I have tested the patches for bodhi-0.9 and they seem to work.

Comment 10 Randy Barlow 2017-05-05 14:46:08 UTC
This will be fixed by python-fedora-0.9 for bodhi-0.9 users, and will be fixed by the combination of python-fedora-0.9 and bodhi-2.6.2 for bodhi-2 users.

Comment 11 Fedora Update System 2017-05-05 21:17:40 UTC
python-fedora-0.9.0-3.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d069d3faf9

Comment 12 Fedora Update System 2017-05-05 21:17:57 UTC
python-fedora-0.9.0-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe41f3fd7

Comment 13 Fedora Update System 2017-05-05 21:18:06 UTC
python-fedora-0.9.0-3.el6 python-openidc-client-0-3.20170327git5456800.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3e639b5a06

Comment 14 Fedora Update System 2017-05-05 21:18:16 UTC
python-fedora-0.9.0-3.fc26 bodhi-2.6.2-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-26b2a7f9ba

Comment 15 Fedora Update System 2017-05-05 21:18:26 UTC
python-fedora-0.9.0-1.el7 python-openidc-client-0-3.20170327git5456800.el7 bodhi-2.6.2-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-650d7b9356

Comment 16 Fedora Update System 2017-05-07 00:19:12 UTC
python-fedora-0.9.0-3.el6, python-openidc-client-0-3.20170327git5456800.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-3e639b5a06

Comment 17 Fedora Update System 2017-05-07 00:26:31 UTC
bodhi-2.6.2-1.el7, python-fedora-0.9.0-1.el7, python-openidc-client-0-3.20170327git5456800.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-650d7b9356

Comment 18 Fedora Update System 2017-05-07 02:01:12 UTC
python-fedora-0.9.0-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ebe41f3fd7

Comment 19 Fedora Update System 2017-05-07 03:30:10 UTC
python-fedora-0.9.0-3.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d069d3faf9

Comment 20 Fedora Update System 2017-05-07 05:07:49 UTC
bodhi-2.6.2-1.fc26, python-fedora-0.9.0-3.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-26b2a7f9ba

Comment 21 Fedora Update System 2017-05-08 22:32:36 UTC
python-fedora-0.9.0-3.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 22 Fedora Update System 2017-05-12 14:11:38 UTC
bodhi-2.6.2-1.fc26, python-fedora-0.9.0-3.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2017-05-23 21:19:37 UTC
python-fedora-0.9.0-3.el6, python-openidc-client-0-3.20170327git5456800.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2017-05-23 21:25:07 UTC
bodhi-2.6.2-1.el7, python-fedora-0.9.0-1.el7, python-openidc-client-0-3.20170327git5456800.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 25 Fedora Update System 2017-05-24 04:55:20 UTC
python-fedora-0.9.0-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.